@import '../../../assets/styles/vars.css';

.mag-subscription {
  position: relative;
  border-left: 2px solid #F4F3F4;
  padding: 0 5px;

  &.open,
  &:hover {
    & .subscription-dropdown {
      display: block;
    }
  }

  & .subscription-text {
    font-size: 12px;
    line-height: 14px;
    display: inline-block;
    float: left;
    width: 80px;
    padding: 6px 0;
  }

  & .img-block {
    width: 22px;
    height: 28px;
    display: inline-block;
    background: lightgrey;
    margin: 6px;
    float: left;
  }

  & .subscription-dropdown {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    height: 285px;
    width: 180px;
    z-index: 101;
    border: 1px solid #000000;
    background-color: #FFFFFF;
    box-shadow: 2px 2px 4px 0 #DDDDDD;

    & > img {
      display: block;
      width: 160px;
      margin: 10px auto;
    }

    & .subscription-button {
      display: block;
      color: var(--white);
      height: 52px;
      width: 162px;
      border: 1px solid #ED5B46;
      border-radius: 25px;
      background: linear-gradient(135deg, #ED5B46 0%, #EC2E35 100%);
      padding: 13px;
      text-align: center;
      text-decoration: none;
      margin: 10px auto;
    }
  }
}